MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024117Community[OCCT] OCCT:Documentationpublic2013-08-20 16:182014-11-11 13:03
ReporterTimo 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024117: Enhance documentation of BRepMesh_IncrementalMesh
DescriptionThe meshing parameters of BRepMesh (BRepMesh_IncrementalMesh) are not documented.
About deflection and deviation angle, you can find something in the Express Mesh User's Guide chapter 1.1.3. "Meshing parameters and result quality", but that's not public. It could be used as a base for BRepMesh_IncementalMesh code documentation of parameters D and Ang.
In the Modeling Algorithms User's Guide I found a mention of BRepMesh in chapter 10 but it also doesn't explain the meshing parameters.

It would be good to add also information about restrictions of the minimum value of deflection, e.g. it is restricted below by doubled value of shape tolerance (0023918). OAN mentioned still other nuances of restrictions in comment 25348 (http://tracker.dev.opencascade.org/view.php?id=23918#c25348 [^]).
By documenting the restrictions, further issue tracker entries about this matter could be prevented.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0023918closedoan Community The triangulation of a face cannot be further refined by setting lower deflection in BRepMesh_IncrementalMesh 

-  Notes
(0029433)
azn (developer)
2014-05-21 13:02

Change pushed to CR24117, please review.
(0029780)
oan (developer)
2014-06-16 12:43

Dear AZN,

I propose to check the following places:
* "The *HLRBRep_PolyAlgo* algorithm works with triangulation of shapes." - IMHO, there is no reason in referring to component that have different weather than supposed by chapter name;
* "At the first step all edges from face discretized" - "are discretized"?
* please scale down the images as far as they become inconvenient for reading when browser window is not maximized to the full screen. Please, use other images from modeling_algos\images to choose the appropriate size.
(0029855)
azn (developer)
2014-06-23 10:37

Fixed. Please check.
(0029870)
Timo (developer)
2014-06-24 14:40

There is still a typo in dox/user_guides/modeling_algos/modeling_algos.md:

const Standard_Real anAnglularDeflection = 0.5;
should be:
const Standard_Real anAngularDeflection = 0.5;
(0029990)
oan (developer)
2014-07-07 17:42

Corrected.

Dear PDN,

Please verify the topic.
(0032386)
git (administrator)
2014-09-30 11:34

Branch CR24117 has been deleted by inv.

SHA-1: 859910b1a024b7d5052a387975adb234d7eb38f7
(0033150)
Timo (developer)
2014-10-15 16:58

The two images modeling_algos_image056.png and modeling_algos_image057.png which were added to modeling_algos.md are not visible in the PDF of the Modeling Users's guide in OCCT 6.8.0 beta (see appended screenshot "image missing.PNG").

Still some comments about the text:
- After the introductory sentence the following could be added to show the main application of the mesh: "This triangulation is used to visualize the shape in shaded mode."
- Before "At the first step" I would start a new paragraph.
- Before "Linear deflection limits distance between triangles and face interior." I would add a sentence like "As a second step, the faces are tessellated." to make it clearer that now it speaks about face tesselation in contrast to edge tessellation before.
- The word "a" should probably be deleted from "This gives a meshes according to metrics"
(0033986)
ysn (developer)
2014-10-31 19:10
edited on: 2014-11-06 11:03

Fixed in branch CR25343_1.

(0034087)
bugmaster (administrator)
2014-11-06 11:58

Fix was integrated with fix for issue 25343

- Related Changesets
occt: master f6d08024
Timestamp: 2014-09-18 10:33:05
Author: azn
Committer: bugmaster
Details ] Diff ]
0024117: Enhance documentation of BRepMesh_IncrementalMesh

Updating BRepMesh users guide.

0024117: Enhance documentation of BRepMesh_IncrementalMesh

Updating BRepMesh users guide.

Correct mistake in parameter naming.
add - dox/user_guides/modeling_algos/images/modeling_algos_image056.png Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image057.png Diff ] File ]
mod - dox/user_guides/modeling_algos/modeling_algos.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-08-20 16:18 Timo New Issue
2013-08-20 16:18 Timo Assigned To => Timo
2013-08-20 16:18 Timo Issue generated from: 0023918
2013-08-20 16:18 Timo Relationship added related to 0023918
2013-08-20 16:35 Timo Assigned To Timo => oan
2013-08-23 18:59 Timo Status new => assigned
2013-09-17 13:16 Timo Description Updated View Revisions
2013-12-21 10:13 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:27 abv Target Version 6.7.1 => 6.8.0
2014-05-19 10:23 abv Assigned To oan => azn
2014-05-21 13:02 azn Note Added: 0029433
2014-05-21 13:03 azn Assigned To azn => abv
2014-05-21 13:03 azn Status assigned => resolved
2014-05-21 13:07 abv Assigned To abv => oan
2014-06-16 12:43 oan Note Added: 0029780
2014-06-16 12:43 oan Assigned To oan => azn
2014-06-16 12:43 oan Status resolved => assigned
2014-06-23 10:37 azn Assigned To azn => oan
2014-06-23 10:37 azn Note Added: 0029855
2014-06-24 14:40 Timo Note Added: 0029870
2014-07-07 17:42 oan Note Added: 0029990
2014-07-07 17:42 oan Assigned To oan => pdn
2014-07-07 17:42 oan Status assigned => resolved
2014-09-12 17:20 pdn Status resolved => reviewed
2014-09-16 13:35 bugmaster Assigned To pdn => bugmaster
2014-09-16 13:35 bugmaster Status reviewed => tested
2014-09-19 13:42 bugmaster Changeset attached => occt master f6d08024
2014-09-19 13:42 bugmaster Status tested => verified
2014-09-19 13:42 bugmaster Resolution open => fixed
2014-09-30 11:34 git Note Added: 0032386
2014-10-15 16:58 Timo Note Added: 0033150
2014-10-15 16:58 Timo Status verified => feedback
2014-10-15 16:58 Timo Resolution fixed => reopened
2014-10-15 17:00 Timo Relationship added related to 0025378
2014-10-16 22:35 abv Assigned To bugmaster => oan
2014-10-29 06:52 abv Assigned To oan => ysn
2014-10-31 19:10 ysn Note Added: 0033986
2014-10-31 19:10 ysn Assigned To ysn => bugmaster
2014-10-31 19:10 ysn Status feedback => resolved
2014-11-06 11:03 ysn Note Edited: 0033986 View Revisions
2014-11-06 11:58 bugmaster Status resolved => reviewed
2014-11-06 11:58 bugmaster Note Added: 0034087
2014-11-06 11:58 bugmaster Status reviewed => tested
2014-11-06 15:35 bugmaster Status tested => verified
2014-11-06 15:35 bugmaster Resolution reopened => fixed
2014-11-11 12:42 user533 Fixed in Version => 6.8.0
2014-11-11 13:03 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker